> ## Documentation Index
> Fetch the complete documentation index at: https://docs.s15x.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# API Status

> returns current websocket connection status

<Info>
  Gets current websocket connection status
</Info>


## OpenAPI

````yaml GET /status/bot
openapi: 3.0.3
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://api.s15x.dev
    description: s15x api url
security: []
tags:
  - name: purchase-api
  - name: account links
  - name: users
  - name: public
paths:
  /status/bot:
    get:
      tags:
        - public
      summary: Discord bot status
      description: returns current websocket connection status
      operationId: discordBotStatus
      responses:
        '200':
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
          content:
            application/json:
              schema:
                type: object
                required:
                  - Status
                  - Code
                properties:
                  Status:
                    type: string
                    example: discord bot online responded to server
                  Code:
                    type: integer
                    example: 200
        '404':
          description: >-
            The server cannot find the requested resource. The endpoint may be
            invalid or the resource may no longer exist.
          content:
            application/json:
              schema:
                type: object
                required:
                  - Status
                  - Code
                properties:
                  Status:
                    type: string
                    example: discord bot offline failed to respond to server
                  Code:
                    type: integer
                    example: 404

````